PKGDELTA(8)

BEZEICHNUNG
pkgdelta - Dienstprogramm zum Erstellen von Differenzdateien für Pakete

ÜBERSICHT

pkgdelta [Optionen] <Paket1> <Paket2>

BESCHREIBUNG

pkgdelta wird dazu verwendet, Differenzdateien zwischen zwei Versionen des gleichen Pakets zu erstellen. Diese Dateien sind im Wesentlichen Patches in binärer Form. pacman(8) kann diese Differenzdateien anstelle der ganzen zu aktualisierenden Pakete herunterladen und diese zusammen mit den vorhandenen Paketen (im Paketzwischenspeicher) dazu nutzen, die aktualisierte Paketversion zu erstellen. Dies reduziert die Download-Größen bei Aktualisierungen oft erheblich.

pkgdelta benötigt xdelta3(1), um zu funktionieren.

OPTIONEN

--max-delta-size <Verhältnis>
    erzeugt nur dann Differenzdateien, wenn diese kleiner als das angegebene Verhältnis zur Paketgröße werden. Mögliche Werte: 0.0 bis 2.0. Empfohlene Werte: 0.2 bis 0.9. Vorgabewert: 0.7. Beachten Sie, dass als Dezimaltrenner ein Punkt statt ein Komma zu verwenden ist.

--min-pkg-size <Größe>
    bezeichnet die minimale Größe der Paketdatei in Byte, damit dieses für die Erstellung der Differenzdatei infrage kommt. Vorgabewert: 1048576 byte = 1 MiB. Dies kann die absolute Größe in Byte oder ein menschenlesbarer Wert wie 4MiB oder 3.5MB sein. Beachten Sie, dass als Dezimaltrenner ein Punkt statt ein Komma zu verwenden ist.

-q, --quiet
    unterdrückt alle Ausgaben außer Warnungen und Fehlermeldungen.

BEISPIELE

    $ pkgdelta libreoffice-3.3.2-1-x86_64.pkg.tar.xz libreoffice-3.3.2-2-x86_64.pkg.tar.xz

SIEHE AUCH

pacman(8), xdelta3(1)

Auf der Pacman-Webseite auf https://www.archlinux.org/pacman/ finden Sie aktuelle Informationen zu Pacman und den zugehörigen Werkzeugen.

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, senden Sie uns eine E-Mail (auf Englisch) mit so vielen Details wie möglich an pacman-dev@archlinux.org.

AUTOREN

Derzeitige Betreuer:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

Bedeutende frühere Mitwirkende:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium von Pacman aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.